﻿using HeuristicLab.Core;
using HeuristicLab.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Encodings.MoveVectorEncoding.Interfaces
{
    public interface IBoundedMoveVectorOperator : IMoveVectorOperator
    {
        /// <summary>
        /// The bounds parameter must contain at least one row and at least two columns. The first two columns specify min and max values, the last column specifies the step size, but is optional (1 is assumed if omitted).
        /// </summary>
        IValueLookupParameter<IntMatrix> BoundsParameter { get; }
    }
}
